> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Memory の削除

> Memory エントリを削除します。

`DELETE /api/v1/cloud/memory_stores/{memory_store_id}/memories/{memory_id}`

Memory エントリを削除します。操作 `deleted` を持つバージョンが記録されます。

## パスパラメータ

| パラメータ             | 説明                     |
| ----------------- | ---------------------- |
| `memory_store_id` | ストア ID（`memstore_...`） |
| `memory_id`       | Memory ID（`mem_...`）   |

## ヘッダー

| ヘッダー            | 必須 | 説明             |
| --------------- | -- | -------------- |
| `Authorization` | はい | `Bearer <PAT>` |

## リクエスト例

```bash theme={null}
curl -X DELETE "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_xxx/memories/mem_xxx" \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス

```json theme={null}
{
  "id": "mem_...",
  "type": "memory_deleted"
}
```

## エラー

| HTTP | Type                    | トリガー                 |
| ---- | ----------------------- | -------------------- |
| 404  | `not_found_error`       | ストアまたは Memory が存在しない |
| 409  | `invalid_request_error` | ストアがアーカイブ済み          |
